%global source_name esteidpkcs11loader

Name:           firefox-esteidpkcs11loader
Version:        3.8.0.1052
Release:        4%{?dist}
Summary:        Estonian ID card extension for Mozilla
License:        LGPLv2+
URL:            http://www.ria.ee
Source:         https://installer.id.ee/media/sources/%{source_name}-%{version}.tar.gz
BuildArch:      noarch
# This patch neeeds opensc 0.14
Patch0:         use_onepin.patch

BuildRequires:  cmake
Requires:       esteidcerts
Requires:       opensc
Requires:       pcsc-lite
Requires:       mozilla-filesystem

# Replace mozilla-esteid
Provides:       mozilla-esteid = %{version}-%{release}
Obsoletes:      mozilla-esteid < 3.8.0

%description
Loads PKCS#11 module for web authentication with smart cards.

%prep
%setup -q -n %{source_name}-%{version}
%patch0 -p0
%{cmake} .

%build
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}


%files
%doc README.txt LICENSE.LGPL
%{_datadir}/mozilla/extensions/*


%changelog
* Wed Nov 12 2014 Mihkel Vain <mihkel@fedoraproject.org> - 3.8.0.1052-4
- Use onepin module patch with opensc 0.14

* Sun Jun 22 2014 Mihkel Vain <mihkel@fedoraproject.org> - 3.8.0.1052-3
- Rename package to firefox-esteidpkcs11loader and obsolete mozilla-esteid

* Fri Jun 20 2014 Mihkel Vain <mihkel@fedoraproject.org> - 3.8.0.1052-2
- Fix spec file according to suggestions

* Fri Jan 17 2014 Mihkel Vain <turakas@gmail.com> - 3.8.0.1052-1
- First rpm package for Fedora

* Fri Aug 13 2010 RIA <info@ria.ee> 1.0-1
- first build no changes
